Skip to navigation

Get a Single Agent Research Result

Returns token-aware details for a single result. If format is omitted, content is not returned.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
Research job identifier.
resultIdstringRequiredformat: "uuid"
Result identifier.

Query parameters

formatenumOptional
Format of content when returned.
Allowed values:
with_highlightsbooleanOptionalDefaults to false
When true, includes highlights if available.

Response

Token-aware result detail.

titlestring
Result title.
urlstringformat: "uri"
Canonical URL.
citation_indexintegerOptional>=1
Citation index referenced in generated content.
highlightslist of stringsOptional
Optional highlights from the source.
contentstringOptional
Optional full content for the result.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error